import pyglet

WIDTH = 800
HEIGHT = 700
TITLE = 'Chess vs Zombies!'
FPS = 40

GROUP_BG = pyglet.graphics.OrderedGroup(0)
GROUP_SQUARE = pyglet.graphics.OrderedGroup(1)
GROUP_PIECE = pyglet.graphics.OrderedGroup(2)
GROUP_ZOMBIE = pyglet.graphics.OrderedGroup(3)
GROUP_GHOST = pyglet.graphics.OrderedGroup(4)

OFFSET_X = 64
OFFSET_Y = 40
TILE_SIZE = 75
BOARD_START_X = 26
BOARD_START_Y = 26
BOARD_END_X = 626
BOARD_END_Y = 626
BOARD_CENTER_X = (BOARD_START_X + BOARD_END_X) / 2
BOARD_CENTER_Y = (BOARD_START_Y + BOARD_END_Y) / 2

BUY_POS = {}
BUY_POS['pawn'] = [648, 565, 689, 626]
BUY_POS['knight'] = [643, 474, 694, 555]
BUY_POS['bishop'] = [645, 376, 692, 467]
BUY_POS['rook'] = [644, 292, 694, 366]
BUY_POS['queen'] = [644, 186, 694, 284]
 
PIECE_NAMES = ['pawn', 'knight', 'bishop', 'rook', 'queen']

NOTHING = 0
BUYING = 1
MOVING = 2

COST = {}
COST['pawn'] = 2
COST['knight'] = 4
COST['bishop'] = 8
COST['rook'] = 16
COST['queen'] = 32

UP = 1
DOWN = 2
LEFT = 3
RIGHT = 4
